#
# z-streched catenoid, initial surface for dirichlet minimizer
#

# task
GEOMETRY;

# frame data
0; 1;		# frame / number of frames

# parameter data
0; 1;		# number of int / double parameter
# integer parameter

# double parameter
2.5;             # streching factor in z direction

# part data
1; 1;		# parts / max number of parts
#
0; 10; 15;	# flag (orientation); number of u- / v-lines
0; 0;		# number of intermediate points u / v

# size of domain: umin, vmin, umax, vmax
 -2.; 0.; 2.; 2.*3.1415926;

# coordinate functions
cos(y)*cosh(x);
sin(y)*cosh(x);
a*x;
