#
# deformation between catenoid and helicoid
#

# task
GEOMETRY;

# frame data
0; 5;		# frame / number of frames

# parameter data
0; 1;		# number of int / double parameter
# integer parameter

# double parameter
0.;             # phi: catenoid=0, helicoid=1.507

# part data
1; 1;		# parts / max number of parts
# 
0; 15; 10;	# flag (orientation); number of u- / v-lines
0; 0;		# number of intermediate points u / v

# size of domain: umin, vmin, umax, vmax
 0.; -1.9; 6.2831832; 1.9;

# coordinate functions
cos(a) * cos(x)*cosh(y) + sin(a) * sinh(y)*cos(x);
cos(a) * sin(x)*cosh(y) + sin(a) * sinh(y)*sin(x);
cos(a) * y              + sin(a) * x;
