#
# cycloid with variable quotient of min/max radius
#

# task
GEOMETRY;

# frame data
0; 5;		# frame / number of frames

# parameter data
0; 1;		# number of int / double parameter
# integer parameter

# double parameter
1.;                # lambda: <1 long, >1 knotted cycloids

# part data
1; 1;		# parts / max number of parts
# 
0; 15; 10;	# flag (orientation); number of u- / v-lines
0; 0;		# number of intermediate points u / v

# size of domain: umin, vmin, umax, vmax
3.1415926535897932; 0.0;
 5.*3.1415926535897932; 2.*3.1415926535897932;  # 0 <= t <= 1

# coordinate functions
x-a*sin(x);	   # a == lambda
cos(y)*(1.-a*cos(x));
sin(y)*(1.-a*cos(x));
