#
# torus with two parameters - x-y scaling and height
#

# task
GEOMETRY;

# frame data
0; 4;		# frame / number of frames

# parameter data
0; 2;		# number of int / double parameter
# double parameter
1.; 1.;		# height / x-y scaling

# part data
1; 1;		# parts / max number of parts

# part 0
0; 5; 6;	# flag (orientation); number of u- / v-lines
0; 0;		# number of intermediate points u / v
0.; 0.; 2.*3.1415926; 3.1415926*(1.+t);	# umin / vmin / umax / vmax

# explicit formulas
(2.+cos(x))*cos(y)*b;
(2.+cos(x))*sin(y)*b;
sin(x)*a;
