typedef struct curve_parm {
  /* class Instance - SYSTEM only */
  CLASS *class;
  char *name;
  INSTANCE *next;
  unsigned int refcount;
  /* subclass Curve_Parm - internal */
  FUNCTION_RULER *min_rul;
  FUNCTION_RULER *max_rul;
  FUNCTION_RULER *dstrbn_rul;
  t_fun *t_min, *t_max;
  /* subclass Curve_Parm - used data */
  int num_of_points;
  SPLINE1D *dstrbn;
  double min, max;
} CURVE_PARM;


typedef struct time_curve {
  /* superclass Time_Object */
  TIME_OBJECT_STRUCT
  /* subclass Time_Curve */
  CURVE_PARM *curve_parm;
  struct {
    t_fun *x, *y, *z;
  } coord_f;
} TIME_CURVE;


extern CLASS *Time_Curve, *Curve_Parm;
